## org.eclipse.datatools.connectivity.exceptions
Class DBNotStartException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.connectivity.exceptions.DBNotStartException

All Implemented Interfaces:
  java.io.Serializable

    public class DBNotStartException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`DBNotStartException(java.lang.String theReason, java.lang.Throwable theCause)`
`DBNotStartException(java.lang.Throwable theCause)`

Method Summary
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBNotStartException

    public DBNotStartException(java.lang.String theReason,
                               java.lang.Throwable theCause)

### DBNotStartException

    public DBNotStartException(java.lang.Throwable theCause)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`